package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.EVehicleBasicInfoE;

import java.util.List;

/**
 * web-domain
 *
 * @Author dearLin
 * @Date 2026-04-23 10:04:32
 */
public interface EVehicleBasicInfoGateway {

    /**
     * 新增
     */
    Boolean add(EVehicleBasicInfoE eVehicleBasicInfoE);

    /**
     * 修改
     */
    Boolean update(EVehicleBasicInfoE eVehicleBasicInfoE);

    /**
     * 删除
     */
    Boolean deletedEVehicleBasicInfoById(Long id);

    Boolean deletedEVehicleBasicInfoByIds(List<Long> id);
}

